<?php
/**
 * @file
 * Hooks specific to the Role Notices module.
 *
 * If a module creates it's own hook's it should declare them in this file.
 * The functions in this file are never actually invoked but can be used by other
 * developers to learn the signatures of the module's hooks.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Implements hook_role_notices_alter().
 */
function role_notices_weight_role_notices_alter(&$notices) {
  // Get all authenticated user roles.
  $roles = user_roles(TRUE);
  $most_important_message = array();
  foreach ($notices as $rid => $notice_text) {
    if (!isset($heaviest_weight) || $roles[$rid]->getWeight() > $heaviest_weight) {
      $most_important_message = array($rid => $notice_text);
      $heaviest_weight = $roles[$rid]->getWeight();
    }
  }
  $notices = $most_important_message;
}
